## olefile 0.43

=== debian/changelog ===
olefile (0.43-1~ubuntu1) zesty; urgency=medium

  * Initial release, split out from pillow.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Jan 2017 08:30:30 +0100

olefile (0.43-1) unstable; urgency=medium

  * Initial release (closes: #850404).

 -- Matthias Klose <doko@debian.org>  Fri, 06 Jan 2017 07:36:25 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs -A README.md

override_dh_install:
	rm -rf debian/tmp/usr/lib/python*/*-packages/olefile/doc
	rm -f debian/tmp/usr/lib/python*/*-packages/olefile/olefile*.html
	rm -f debian/tmp/usr/lib/python*/*-packages/olefile/README.*
	rm -f debian/tmp/usr/lib/python*/*-packages/olefile/LICENSE.txt
	: # python 2.5 and earlier only
	rm -f debian/tmp/usr/lib/python*/*-packages/olefile/olefile2.py
	dh_install

=== debian/watch ===
version=3
http://pypi.debian.net/packaging/olefile-(.*)\.(?:tar\.gz|zip)

## olefile 0.45.1

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = olefile
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## olefile 0.44

=== debian/changelog ===
olefile (0.44-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Jan 2017 12:52:45 +0100

=== debian/control ===
Source: olefile
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 9),
  dh-python,
  python-all, python3-all,
  python-setuptools, python3-setuptools,
Standards-Version: 3.9.8
Homepage: http://www.decalage.info/olefile

Package: python-olefile
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Python module to read/write MS OLE2 files
 Python package to parse, read and write Microsoft OLE2 files (also called
 Structured Storage, Compound File Binary Format or Compound Document File
 Format), such as Microsoft Office 97-2003 documents, vbaProject.bin in
 MS Office 2007+ files, Image Composer and FlashPix files, Outlook MSG files,
 StickyNotes, several Microscopy file formats, McAfee antivirus quarantine
 files, etc.

Package: python3-olefile
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Python module to read/write MS OLE2 files
 Python package to parse, read and write Microsoft OLE2 files (also called
 Structured Storage, Compound File Binary Format or Compound Document File
 Format), such as Microsoft Office 97-2003 documents, vbaProject.bin in
 MS Office 2007+ files, Image Composer and FlashPix files, Outlook MSG files,
 StickyNotes, several Microscopy file formats, McAfee antivirus quarantine
 files, etc.

## olefile 0.45.1

=== debian/changelog ===
olefile (0.45.1-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Fri, 26 Jan 2018 04:09:13 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
   dh-python,
   python-all, python3-all,
   python-setuptools, python3-setuptools,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://www.decalage.info/olefile
 
 Package: python-olefile

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,7 @@
 override_dh_install:
 	rm -rf debian/tmp/usr/lib/python*/*-packages/olefile/doc
 	rm -f debian/tmp/usr/lib/python*/*-packages/olefile/olefile*.html
+	rm -f debian/tmp/usr/lib/python*/*-packages/olefile/CONTRIBUTORS.txt
 	rm -f debian/tmp/usr/lib/python*/*-packages/olefile/README.*
 	rm -f debian/tmp/usr/lib/python*/*-packages/olefile/LICENSE.txt
-	: # python 2.5 and earlier only
-	rm -f debian/tmp/usr/lib/python*/*-packages/olefile/olefile2.py
 	dh_install

=== debian/watch ===
version=3
http://pypi.debian.net/olefile/olefile-(.*)\.(?:tar\.gz|zip)

## olefile 0.46

=== debian/changelog ===
olefile (0.46-3) unstable; urgency=medium

  * Stop building the Python2 package. Closes: #937187.
  * Bump debhelper and standards versions.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Sep 2020 13:14:45 +0200

olefile (0.46-2) unstable; urgency=medium

  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 26 Oct 2019 16:58:05 +0200

olefile (0.46-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Mon, 17 Sep 2018 16:49:32 +0200

=== debian/control ===
Source: olefile
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 11),
  dh-python,
  python3-all,
  python3-setuptools,
Standards-Version: 4.5.0
Homepage: http://www.decalage.info/olefile

Package: python3-olefile
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Python module to read/write MS OLE2 files
 Python package to parse, read and write Microsoft OLE2 files (also called
 Structured Storage, Compound File Binary Format or Compound Document File
 Format), such as Microsoft Office 97-2003 documents, vbaProject.bin in
 MS Office 2007+ files, Image Composer and FlashPix files, Outlook MSG files,
 StickyNotes, several Microscopy file formats, McAfee antivirus quarantine
 files, etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs -A README.md

override_dh_install:
	dh_install
	rm -rf debian/python3-olefile/usr/lib/python*/*-packages/olefile/doc
	rm -f debian/python3-olefile/usr/lib/python*/*-packages/olefile/olefile*.html
	rm -f debian/python3-olefile/usr/lib/python*/*-packages/olefile/CONTRIBUTORS.txt
	rm -f debian/python3-olefile/usr/lib/python*/*-packages/olefile/README.*
	rm -f debian/python3-olefile/usr/lib/python*/*-packages/olefile/LICENSE.txt

## olefile 0.47

=== debian/changelog ===
olefile (0.47-1) unstable; urgency=medium

  * New upstream release. Closes: #1087763.
  * Update watch file.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 18 Nov 2024 15:35:38 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
   dh-python,
   python3-all,
   python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Homepage: http://www.decalage.info/olefile
 
 Package: python3-olefile

=== debian/watch ===
version=4
opts="uversionmangle=s/\.(dev\d*)/~\1/" \
  http://pypi.debian.net/olefile/olefile-(.*).(?:tar\.gz|zip)
